
## Effect of the laser frequency

![](laser/20k.jpg)
![](laser/30k.jpg)
![](laser/40k.jpg)
![](laser/60k.jpg)
![](laser/70k.jpg)

Lower frequency results in better material removal, but at the cost of fine details. At higher frequencies, there is significant charring and/or delamination as the material overheats.

My hypothesis is that, since the fiber laser operates in pulsed mode, at lower frequency each pulse will have more energy. (similar to the camera flash, 1/8s flash has much higher energy per flash than 1/64s flash, but we can only have a few flashes per minute at 1/8s power). At this higher pulse energy, the laser can ablate the material more efficiently, rather than just heating the material.

Also, the laser focus point is not a point, it has a width, the power distribution may look like a bell shaped curve, so at higher power levels (lower frequency) the effective spot size (or the affected region) will be larger, resulting in material removal from a wider area.
This could be the reason why we see more copper thread like features at higher frequencies.

I observed that the frequency of 30 KHz is the sweet spot.


## Effect of raster velocity

Lower velocity results in overheating, charring and delamination.

Higher velocity results in poor material removal and loss of details. 

Higher velocity also require more passes to remove the material 
completely, requiring significantly more time.

Best results were obtained at around velocity of 10

At this point I have finalized the best parameters for engraving the PCB,
- Power 100%
- Raster Velocity 10
- Frequency 30000HZ
- Passes 4
- under custom settings, check 'high quality' and 'raster correction'

## Effect of job position on the bed

Perhaps the most surprising result. Using above parameters, I did two tests,
- Top Right corner of the bed (shortest optical path)
- Bottom Left corner of the bed (longest optical path)

While the job at the top right corner removed most of the copper in the first 3 passes and the fourth pass cleaned the board very well, resulting in a very well finished board.
While the job at the bottom left corner, with the exact same parameter did not remove the copper completely, even after 4 passes. I had to do additional 2 passes to get the same result as the previous run.

## Effect on orientation
In the picture below, the red marker indicates the engrave direction. 

![](laser/engrave-orientation.jpg)

As you can see, when the thin features such as thin traces are preserved only when they are oriented perpendicular to the engraving direction.

## Cutting using CO2 laser

After a few trial and error I found that the following parameters give a clean cut, with almost clean (no charring) edges.
- Power 60%
- Velocity 5
- Frequency 1000Hz
- Passes 10
- Under custom settings, correction factor 15%

## Laser engraving for double sided PCB
  I would never recommend this technique for making double sided PCB.
Initially I thought this is going to be very interesting as the laser can do engraving, drilling the vias and cut the shape, all using one machine, without  any tool change. I was wrong.

### On the + side

- Can do fine details that milling machines cannot do with 1/64" end-mills (1/100" is too delicate and doesn't last long, and cannot be used to mill the whole board)
- Alignment is very very good, and requires no special considerations (as long as you have a rectangular PCB).

### On the - side

- After engraving the top layer, I had to cut the board and flip it for the bottom side. But the copper on the bottom layer is still intact and the CO2 laser cannot cut through the bottom copper layer.
    
    So I had to cut the paper epoxy stock using the CO2 laser, wiggle the piece a little to make 'crease marks' on bottom copper layer and manually cut the copper using knife.
    
- After the CO2 does it's job, there is still a lot of dust and charring, so the fiber laser was also useless in cutting the bottom copper layer.

- After engraving the bottom layer, I used CO2 laser to drill the vias. But the heat produced by this operation was enough to delaminate the copper. Vias with low thermal pass lifted off easily after this operation.
    
    This problem could be solved by giving enough time between each pass, but I did not find a relevant settings. 
    The job, overall took a very long time. It took over an hour for doing a job that would have taken only 20 minutes using the milling machine.
    
    But, we can use this machine to selectively engrave fine pitch IC pads.


.

.

.

:-   sibu