/*
    FILE   : Flexure_Square.scad
    
    AUTHOR : Denis Terwagne <Denis.Terwagne@ulb.ac.be>
    
    DATE   : 2020-01-24
    
    LICENSE : Creative Commons Attribution 4.0 International [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)
*/

//$fn=100;
base_size=40;
beam_length=60;
beam_width=0.5;
thickness=10;

pole_width=20;
screw_size=3;

//projection(cut){

difference(){
cube( [base_size,base_size,thickness], center=true);
cylinder(thickness,screw_size, screw_size, center=true);
}

for (i=[0:1:4]){

rotate(a = 90*i, v = [0, 0, 10]) {
translate([base_size/2-5,base_size/2+beam_length/2]) cube([beam_width,beam_length,thickness], center=true);
translate([-base_size/2+5,base_size/2+beam_length/2]) cube([beam_width,beam_length,thickness], center=true);
translate([0,base_size/2+beam_length+5/2]) cube([base_size,5,thickness], center=true);
translate([base_size/2+beam_length/2-pole_width/4,base_size/2+beam_length+5/2]) cube([beam_length,beam_width,thickness], center=true);
translate([-(base_size/2+beam_length/2-pole_width/4),base_size/2+beam_length+5/2]) cube([beam_length,beam_width,thickness], center=true);
difference(){
    
translate([base_size/2+beam_length+5/2,base_size/2+beam_length+5/2]) cube([pole_width,pole_width,thickness], center=true);
translate([base_size/2+beam_length+5/2,base_size/2+beam_length+5/2]) cylinder(thickness,screw_size, screw_size, center=true);
}
}
}
//}


