/*
    FILE   : Flex-XYStage-Evolved.scad
    
    AUTHOR : Denis Terwagne <Denis.Terwagne@ulb.ac.be>
    
    DATE   : 2020-01-24
    
    LICENSE : Creative Commons Attribution 4.0 International [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)
*/

$fn=100;

beam_length=25;
beam_width=1;
thickness=4;
spacing=5;

base_width=4;

base_x=45;
base_y=45;

pole_width=10;
screw_size=1.5;

case_size= 100;

//projection(cut){

//difference(){
//cube([case_size, case_size, thickness]);
//platform_size=pow((pow(base_x/2,2)+pow(base_y/2,2)),1/2);
platform_size=45;

difference(){
    union(){

rotate(45, [0,0,10]) roundRect(platform_size, platform_size, thickness, 2);

for (i=[0:1:3]){

rotate(a = -90*i, v = [0, 0, 10]) {

translate([0,base_y+10,0]){ difference(){

roundRect(base_x,base_y,thickness,2);

translate([0,base_y/2-base_width-spacing/2,0]) roundRect(base_x-2*base_width,spacing,thickness,2);
translate([-(base_x/2-base_width-spacing/2),0,0]) roundRect(spacing,base_y-2*base_width,thickness,2);
translate([(base_x/2-base_width-spacing/2),0,0]) roundRect(spacing,base_y-2*base_width,thickness,2);

translate([(base_x/2-base_width-3/2*spacing-beam_width),-(base_width*2),0]) roundRect(spacing,base_y-spacing*2,thickness,2);
translate([-(base_x/2-base_width-3/2*spacing-beam_width),-(base_width*2),0]) roundRect(spacing,base_y-spacing*2,thickness,2);

translate([0,-(base_width+spacing)/2,0]) roundRect(base_x-2*base_width-spacing*4-4*beam_width,base_y-base_width*3-spacing,thickness,2);
  
}
translate([0,-(base_y/2+spacing),0]) cube([base_x-2*base_width-spacing*4-2*beam_width,2*spacing,thickness], center=true);

translate([0,(base_y/2+2*spacing),0]) cube([base_x+4*spacing,2*spacing,thickness], center=true);
}



rotate(-90, [0,0,10]) { translate([-base_x-10,base_y+2*spacing,0]) { 
 difference(){

//roundRect(base_x,base_y,thickness,2);
     
cube([base_x,base_y,thickness],center=true);

translate([0,base_y/2-base_width-spacing/2,0]) roundRect(base_x-2*base_width,spacing,thickness,2);
translate([-(base_x/2-base_width-spacing/2),0,0]) roundRect(spacing,base_y-2*base_width,thickness,2);
translate([(base_x/2-base_width-spacing/2),0,0]) roundRect(spacing,base_y-2*base_width,thickness,2);

translate([(base_x/2-base_width-3/2*spacing-beam_width),-(base_width*2),0]) roundRect(spacing,base_y-spacing*2,thickness,2);
translate([-(base_x/2-base_width-3/2*spacing-beam_width),-(base_width*2),0]) roundRect(spacing,base_y-spacing*2,thickness,2);

translate([0,-(base_width+spacing)/2,0]) roundRect(base_x-2*base_width-spacing*4-4*beam_width,base_y-base_width*3-spacing,thickness,2);
}

translate([0,-(base_y/2+spacing),0]) cube([base_x-2*base_width-spacing*4-2*beam_width,2*spacing,thickness], center=true);
translate([-spacing,(base_y/2+spacing*3/2),0]) cube([base_x+spacing*2,3*spacing,thickness], center=true);
translate([-(base_x/2+spacing*3/2),spacing*3/2,0]) cube([3*spacing,base_y+spacing*3,thickness], center=true);
}


}

}
}
}

union(){
    for (i=[0:1:3]){

rotate(a = -90*i, v = [0, 0, 10]) {

//difference(){
    
//translate([82.5,82.5,0]) cube([pole_width,pole_width,thickness], center=true);
translate([82.5,82.5,0]) cylinder(thickness,screw_size, screw_size, center=true);
//}
}
}
translate([base_size/2+beam_length+5/2,base_size/2+beam_length+5/2]) cylinder(thickness,screw_size, screw_size, center=true);
for (i=[0:1:3]){
rotate(a = -90*i, v = [0, 0, 10]) {
translate([18,0,0]) cylinder(thickness,screw_size, screw_size, center=true);
}
}
}

}

//}


module roundRect(w, l, h, r){
    //translate([r,r,0])
    minkowski(){
        cube([w-2*r, l-2*r, h/2],center=true);
        cylinder(r=r, h=h/2,center=true);
    }
}