# Flexible XY stage

This project is part of the Urumbu project initiated during the Fab Academy Bootcamp in Kochi, Kerala, India in January 2020. The goal of the Urumbu project is to make a CNC Minimilling machine to mill small PCBs (5 cm x 5 cm).

This design and documentation were written by Denis Terwagne &lt;Denis.Terwagne@ulb.ac.be&gt; and delivered under [Creative Commons Attribution 4.0 International](./LICENSE.md).

Creative Commons Attribution 4.0 International [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)

## OpenSCAD installation *

This project was written in [OpenSCAD](https://www.openscad.org/), a free and opensource 3D CAD software. This sofware use a program-style code.

OpenSCAD is available for [Windows, Linux and Mac](https://www.openscad.org/downloads.html). Please refer to the documentation, except for Ubuntu 18.04 and above (see hereunder).

Special note for Ubuntu 18.04 and above : as OpenSCAD is not part of the basic repositories anymore, you should add the right source repository first and install it as follow :
```
sudo add-apt-repository ppa:openscad/releases
sudo apt-get update
sudo apt-get install openscad
```

( * ) This installation paragraphe on Openscad is from Vigon

## Flexure mechanism

The goal of this project part of the Urumbu project is to make a XY flexure mechanism for a CNC Mini-milling machine (5 cmx 5 cm).

The advantage of the flexure mechanisms are
* very high resolution movement
* no backlash
* theoretically motion could be a third of the size of the object

## Inspiration

Other inspirations :

* [XY Flexure Mechanisms, MIT thesis of Shoryar Awtar (2004)](http://academy.cba.mit.edu/classes/computer_cutting/56836505.pdf)
* [Flexural mechanical metamaterials (Fab14 conference, Toulouse, 2018)](http://fab.academany.org/2018/labs/fablabulb/FAB14_workshop.html)
* [BYU Compliant Mechanisms Research Group (CMR)on Thingiverse](https://www.thingiverse.com/BYU_CMR/about)

## Fabrication

There are different fabrication can be used :
* 3D printing (ABS, PETG,...)
* Laser Cutting (Acrylic, PETG, ...)

The material as to be flexible enough and resist to fatigue.


## Some flexural Mechanisms

### Rotation - Single bending beam

![](beam-single.png)

### Translation - Double bending beam

![](beam-double.png)

## XY flexible stage

### Basic stage

This is a basic XY stage, that works for very little deformation but not for large deformation.

![](Flex-XYStage-Basic.png)

### XY flexible stage

Inspired by [the MIT thesis of Shoryar Awtar (2004)](http://academy.cba.mit.edu/classes/computer_cutting/56836505.pdf), showed here below.

I redesigned the mechanism using Openscad.

![](Flex-XYStage-BiFlex-Thesis.png)

No deformation at all of the outside frame.

![](Flex-XYStage-BiFlex.png)

Here is the laser cut XY stage.

![](./images/Flex-XYStage-BiFlex-LaserCut.jpeg)

### Sine beam springs

Simple springs.

![](Sine-Beam.png)
![](sine-beam-double.png)


### Urumbu Flexible machine

![](./images/Urumbu.jpeg)
![](./images/urumbu-details-1.jpeg)
![](./images/urumbu-details-2.jpeg)


Arundhati, Santi, Rico and Denis posing with the flexible Urumbu machine.

![](./images/Urumbu-Machine-Group.jpeg)
