/*
    FILE   : Double-Beam.scad.scad
    
    AUTHOR : Denis Terwagne <Denis.Terwagne@ulb.ac.be>
    
    DATE   : 2020-01-23
    
    LICENSE : Creative Commons Attribution 4.0 International [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)
*/

base_width=30;
beam_width=0.50;
thickness=5;
depth=20;
height=10;
base_length=65;
beam_length=base_length-5;

h=10;
r=5;


for (i=[0:1:1]){
    spacing=15;
    
translate([i*spacing,0,0]){

difference(){
            cube([base_width,base_length,thickness],center=true);
            translate([beam_width/2+r/2,beam_length/2-r/2,0]) cylinder($fn = 200,h,r/2,r/2,center=true);
            //translate([0,-(beam_length/2-r/2),0]) cylinder(h,$fn = 200,r/8,center=true);
            //translate([beam_width/2,-(beam_length/2-r/2),0]) cylinder(h,$fn = 200,r,center=true);
            translate([beam_width/2+r/2,-(beam_length/2-r/2),0]) cylinder($fn = 200,h,r/2,r/2,center=true);
            //translate([beam_width/2+r,-(beam_length/2-r/2),0]) cylinder(h,$fn = 200,r/8,center=true);
            translate([-(beam_width/2+r/2),beam_length/2-r/2,0]) cylinder($fn = 200,h,r/2,r/2,center=true);
            translate([-(beam_width/2+r/2),-(beam_length/2-r/2),0]) cylinder($fn = 200,h,r/2,r/2,center=true);
    
            translate([(base_width-beam_width)/4+beam_width/2,0,0]) cube([base_width/2-beam_width/2,beam_length-r,thickness],center=true);
    
            translate([(base_width-beam_width)/4+beam_width/2,0,0]) cube([base_width/2-beam_width/2,beam_length-r,thickness],center=true);
            translate([(base_width-beam_width-r)/4+beam_width/2+r/2,0,0]) cube([base_width/2-beam_width/2-r/2,beam_length,thickness],center=true);
            translate([-((base_width-beam_width)/4+beam_width/2),0,0]) cube([base_width/2-beam_width/2,beam_length-r,thickness],center=true);
            translate([-((base_width-beam_width-r)/4+beam_width/2+r/2),0,0]) cube([base_width/2-beam_width/2-r/2,beam_length,thickness],center=true);
        }
    }
}

