/*
    FILE   : Single-Beam.scad.scad
    
    AUTHOR : Denis Terwagne <Denis.Terwagne@ulb.ac.be>
    
    DATE   : 2020-01-22
    
    LICENSE : Creative Commons Attribution 4.0 International [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)
*/

base_width=30;
//thickness of the beam
beam_width=1.00;
//thickness of the beam
thickness=5;
depth=20;
height=10;
base_length=25;
beam_length=20;

h=10;
r=5;

difference(){
            cube([base_width,base_length,thickness],center=true);
            translate([beam_width/2+r/2,beam_length/2-r/2,0]) cylinder($fn = 200,h,r/2,r/2,center=true);
            //translate([0,-(beam_length/2-r/2),0]) cylinder(h,$fn = 200,r/8,center=true);
            //translate([beam_width/2,-(beam_length/2-r/2),0]) cylinder(h,$fn = 200,r,center=true);
            translate([beam_width/2+r/2,-(beam_length/2-r/2),0]) cylinder($fn = 200,h,r/2,r/2,center=true);
            //translate([beam_width/2+r,-(beam_length/2-r/2),0]) cylinder(h,$fn = 200,r/8,center=true);
            translate([-(beam_width/2+r/2),beam_length/2-r/2,0]) cylinder($fn = 200,h,r/2,r/2,center=true);
            translate([-(beam_width/2+r/2),-(beam_length/2-r/2),0]) cylinder($fn = 200,h,r/2,r/2,center=true);
    
            translate([(base_width-beam_width)/4+beam_width/2,0,0]) cube([base_width/2-beam_width/2,beam_length-r,thickness],center=true);
    
            translate([(base_width-beam_width)/4+beam_width/2,0,0]) cube([base_width/2-beam_width/2,beam_length-r,thickness],center=true);
            translate([(base_width-beam_width-r)/4+beam_width/2+r/2,0,0]) cube([base_width/2-beam_width/2-r/2,beam_length,thickness],center=true);
            translate([-((base_width-beam_width)/4+beam_width/2),0,0]) cube([base_width/2-beam_width/2,beam_length-r,thickness],center=true);
            translate([-((base_width-beam_width-r)/4+beam_width/2+r/2),0,0]) cube([base_width/2-beam_width/2-r/2,beam_length,thickness],center=true);
        }

