qws/*
    FILE   : sine-beam-double.scad
    
    AUTHOR : Denis Terwagne <Denis.Terwagne@ulb.ac.be>
    
    DATE   : 2020-01-24
    
    LICENSE : Creative Commons Attribution 4.0 International [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)
*/

//$fn=50;
thickness=5;
r=0.5;
beam_length=30;
wave_num=7;
A=12;

base_length=70;
beam_width=1;
depth=20;
height=10;
//base_length=25;
base_width=6;
beam_length=70;

screw_size=1.5;

//resolution
res=10;

//projection(cut){

difference(){
cube([base_width,base_length,thickness],center=true);
translate([-30,0,0]) cylinder(thickness,screw_size, screw_size, center=true);
translate([30,0,0]) cylinder(thickness,screw_size, screw_size, center=true);
}

translate([base_width+beam_length,0,0]) {
difference(){ 
cube([base_width,base_length,thickness],center=true);
translate([-30,0,0]) cylinder(thickness,screw_size, screw_size, center=true);
translate([30,0,0]) cylinder(thickness,screw_size, screw_size, center=true);
    }
}

//for (i=[0:1:1]){
    spacing=50; 
    
translate([0,15,0]){

translate([base_width/2,0,0]) 
for (i=[0:1:beam_length*res]){
   
   hull(){ 
    translate([i/res,A*cos(i*360/beam_length*wave_num/res),0]) cylinder(thickness,r,r,center=true);
    translate([(i+1)/res,A*cos((i+1)*360/beam_length*wave_num/res),0]) cylinder(thickness,r,r,center=true);    
   }

}
}

translate([0,-15,0]){

translate([base_width/2,0,0]) 
for (i=[0:1:beam_length*res]){
   
   hull(){ 
    translate([i/res,A*cos(i*360/beam_length*wave_num/res),0]) cylinder(thickness,r,r,center=true);
    translate([(i+1)/res,A*cos((i+1)*360/beam_length*wave_num/res),0]) cylinder(thickness,r,r,center=true);    
   }

}
}
//}
//}