//
// serialtest.js
//    serial speed test
//
// Neil Gershenfeld  1/22/20
//
if (process.argv.length < 4) {
   console.log("command line: node serialtest.js port speed")
   process.exit(-1)
   }
var SerialPort = require('serialport')
var device = process.argv[2]
var baud = parseInt(process.argv[3])
console.log('open '+device+' at '+baud)
port = new SerialPort(device,{baudRate:baud})
port.on('open',function() {
   console.log('serial port opened, starting loop')
   while (1) {
      port.write(0)
      }
   })
port.on('error',function(err) {
   console.log('error: '+err.message)
   })
port.on('data',function(data) {
   console.log('data: '+data.toString('binary'))
   })
